Subject: RE: [nemo] Charter proposal

From: "Vijay Devarapalli" <[email-masked]>
Date: Mon, 27 Mar 2006 11:23:26 -0800

hi TJ,

I have a few comments.
 
> Description of Working Group:
> The NEMO Working Group is concerned with managing the mobility of an
> entire network, which changes, as a unit, its point of attachment to
> the Internet and thus its reachability in the topology. The mobile
> network includes one or more mobile routers (MRs) which connect it to
> the global Internet.
> 
> A mobile network is assumed to be a leaf network, i.e. it will not
> carry transit traffic. However,it could be multihomed, either with a
> single MR that has multiple attachments to the internet, or by using
> multiple MRs that attach the mobile network to the Internet.
> 
> For the basic NEMO support case, none of the nodes behind the MR will
> be aware of the network's mobility, thus the network's 
> movement is completely transparent to the nodes inside the mobile
> network. This assumption is made to accomodate nodes inside the
> network that are not generally aware of mobility.
> 
> A basic approach for network mobility support is described in 
> the working group's NEMO Basic Support RFC. 

perhaps mention the RFC number here.
 
> The WG will take a stepwise approach by standardizing some basic
> support mechanisms based on the bidirectional tunneling approach, and

the bidirectional tunnel is done already right?

> at the same time study the possible approaches and issues with
> providing more optimal routing than can be had with (potentially
> nested) tunneling. However, the WG is not chartered to actually
> standardize a solution to such route optimization for mobile networks
> at this point in time.

I think re-chartering should include standardizing
a solution for route optimization. otherwise I dont
see much use for a new charter. we could just finish
the current work items and shut down.

> The WG will work on:
> 
> - Completing editing working group documents that are 
> currently in process, and submit for RFC.
> 
> - Continue working on Route Optimization and Multihoming, in 
> order to solve the problems that are relevant to NEMO 
> deployments. 

we should probably mention here that some of the
work will be done in Monami6. we should also be
more specific on which Multihoming issues will
be tackled in the NEMO WG. 

> Furthermore, security considerations for the 
> various approaches will also be considered.

I would remove "also". :) 

> Mar 2006	  	Finish draft on Threat Analysis and 
> Security Requirements for NEMO.
> Mar 2006	  	Submit Terminology as Informational to IESG
> Mar 2006	  	Submit Goals and Requirements as 
> Informational to IESG
> Mar 2006	  	Submit final doc Multihoming Problem Statement
> Mar 2006	  	Submit final doc on NEMO Basic Support Usages
> Mar 2006	  	Submit final doc(s) on Analysis of the 
> Solution Space for Route Optimization

March 2006 is almost over. :) but yes, these documents 
should be sent to the IESG ASAP. has there been a WG
last call on all these documents? if not, that might
take upto a month (two weeks for the WG last call and
two weeks to submit a new version assuming there are
comments).

> Jul 2006	  	Submit final doc on MIB for NEMO Basic Support
> Jul 2006	  	Submit final doc(s) on Prefix 
> Delegation for NEMO
> Aug 2006		Submit -00 draft on Route Optimization 
> for geographically distributed HAs

is this talking about global HAHA? that would be 
great

> Aug 2006		Submit -00 draft on MNN visibility in 
> visited networks

why are we doing this?

Vijay